<?php
/**
 * @package snow-monkey-blocks
 * @author inc2734
 * @license GPL-2.0+
 */

/**
 * style
 */
wp_register_style(
	'snow-monkey-blocks/items',
	SNOW_MONKEY_BLOCKS_DIR_URL . '/dist/block/items/style.css',
	[ 'snow-monkey-blocks' ],
	filemtime( SNOW_MONKEY_BLOCKS_DIR_PATH . '/dist/block/items/style.css' )
);

/**
 * editor_script
 */
$asset = include( SNOW_MONKEY_BLOCKS_DIR_PATH . '/dist/block/items/editor.asset.php' );
wp_register_script(
	'snow-monkey-blocks/items/editor',
	SNOW_MONKEY_BLOCKS_DIR_URL . '/dist/block/items/editor.js',
	array_merge( $asset['dependencies'], [ 'snow-monkey-blocks-editor' ] ),
	filemtime( SNOW_MONKEY_BLOCKS_DIR_PATH . '/dist/block/items/editor.js' ),
	true
);

/**
 * editor_style
 */
wp_register_style(
	'snow-monkey-blocks/items/editor',
	SNOW_MONKEY_BLOCKS_DIR_URL . '/dist/block/items/editor.css',
	[ 'snow-monkey-blocks-editor', 'snow-monkey-blocks/items' ],
	filemtime( SNOW_MONKEY_BLOCKS_DIR_PATH . '/dist/block/items/editor.css' )
);

register_block_type_from_metadata(
	__DIR__,
	[
		'style'         => 'snow-monkey-blocks/items',
		'editor_script' => 'snow-monkey-blocks/items/editor',
		'editor_style'  => 'snow-monkey-blocks/items/editor',
	]
);
